Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2241 - don't use killall in cron.log
Summary: don't use killall in cron.log
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-17 17:56 UTC by dgaudet-redhat
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:01:56 UTC


Attachments (Terms of Use)

Description dgaudet-redhat 1999-04-17 17:56:13 UTC
Please apply the below patch to cron.log.

reason:  vixie-cron has a feature whereby it mails the
stdout and stderr from a cronjob to the user running the
cronjob.  To do this it fork()s, and the child waits until
the cronjob has completed to determine if mail needs to be
sent.  By using killall you end up killing the child in
addition to HUPing the parent.

So, for example, any errors generated while rotating the
logs will be completely lost, rather than mailed to root.
Instead of using killall, send the HUP to the cron parent
directly.

Dean

--- cron.log.orig       Sat Apr 17 10:47:25 1999
+++ cron.log    Sat Apr 17 10:48:23 1999
@@ -1,5 +1,5 @@
 /var/log/cron {
     postrotate
-       /usr/bin/killall -HUP crond
+       /bin/kill -HUP `/bin/cat /var/run/crond.pid`
     endscript
 }

Comment 1 dgaudet-redhat 1999-04-17 18:02:59 UTC
Ah, interesting.  Your bug form corrupted the patch.  Those
should be backticks, not forward ticks.

In any event, I've been using this patch for over a year...
I submitted it previously, I guess it got lost.

Comment 2 Jeff Johnson 1999-06-03 09:43:59 UTC
Added in vixie-cron-3.0.1-34. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.